cURL
curl --request POST \ --url https://api.scholarlysoftware.com/api/v1/admin_assistant_roles \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/vnd.api+json' \ --data ' { "data": { "type": "admin_assistant_role", "attributes": { "effective_from": "2023-12-25", "custom_fields": {}, "external_id": "AAR-001", "effective_to": "2023-12-25" }, "relationships": {} } } '
{ "data": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "type": "admin_assistant_role", "attributes": { "created_at": "<string>", "updated_at": "<string>", "custom_fields": {}, "is_current": true, "external_id": "AAR-001", "effective_from": "2023-12-25", "effective_to": "2023-12-25" }, "relationships": { "admin_assistant": { "links": { "related": "<string>" }, "meta": {}, "data": { "type": "user", "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" } }, "faculty_member": { "links": { "related": "<string>" }, "meta": {}, "data": { "type": "user", "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" } }, "permissions": { "links": { "related": "<string>" }, "meta": {} } } } }
Create a new admin assistant role mapping
Documentation IndexFetch the complete documentation index at: https://api-docs.scholarlysoftware.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://api-docs.scholarlysoftware.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Bearer token
Show child attributes
admin assistant role created